header {
  background-color: #9085BC;
    padding: 20px 0;
    text-align: center;
  margin-bottom: 30px;
}

nav ul {
    display: flex;
    list-style: none;
    justify-content: right;
    padding: 10px;
}

nav ul li a {
    color: white;
    text-decoration: none;
    font-size: 18px;
    font-weight: bold;
    padding: 10px 20px;
    display: block;
}

.preview-links figcaption {
    font-size: 22px;
    color: #333;
    font-weight: bold;
    margin-top: 10px;
}

body {
    font-family: Calibri, sans-serif;
    background-color: #f4f4f4;
    margin: 20px;
    padding: 0;
}

h1, h2, p {
  margin-bottom: 20px;
}

.code-image-container1 {
    display: flex;
    justify-content: center;
    align-items: flex-start;
    gap: 20px;
  margin-bottom: 40px;
}

.code-image-container2 {
    display: flex;
    flex-direction: column;  
    justify-content: center;
    align-items: center;
    gap: 20px;
    max-width: 100%;
    margin-bottom: 40px;
    word-wrap: break-word;
}


/* light blue scheme */
.code-block1 {
    background-color: #7ec4cf; 
    padding: 20px;
    border-radius: 8px;
    border: 2px solid #5ba3b5;
    color: white; 
    text-align: left;
    box-shadow: 3px 3px 10px rgba(0, 0, 0, 0.15); 
    display: flex;
    flex-direction: column;
    align-items: center;
    max-width: 50%;
   margin-bottom: 30px;
}

/* light purple scheme */
.code-block2 {
  background-color: #9085BC; 
    padding: 20px;
    border-radius: 8px;
    border: 2px solid #6c62a3;
    color: white; 
    text-align: left;
    box-shadow: 3px 3px 10px rgba(0, 0, 0, 0.2); 
    display: flex;
    flex-direction: column;
    align-items: center;
    max-width: 50%;
   margin-bottom: 30px;
}



/* light purple + larger scheme */
.code-block3 {
  background-color: #9085BC; 
  padding: 20px;
  border-radius: 8px;
  border: 2px solid #6c62a3;
  color: white; 
  text-align: left;
  box-shadow: 3px 3px 10px rgba(0, 0, 0, 0.2); 
  display: flex;
  flex-direction: column;
  align-items: center;
  max-width: 70%;
 margin-bottom: 30px;
}

/* light blue + larger scheme */
.code-block4 {
    background-color: #7ec4cf; 
    padding: 20px;
    border-radius: 8px;
    border: 2px solid #5ba3b5;
    color: white; 
    text-align: left;
    box-shadow: 3px 3px 10px rgba(0, 0, 0, 0.15); 
    display: flex;
    flex-direction: column;
    align-items: center;
    max-width: 70%;
   margin-bottom: 30px;
}


.pre1, .pre2 {
    padding: 10px;
    overflow-x: auto;
    white-space: pre-wrap;
    word-wrap: break-word;
    font-family: monospace;
    font-size: 18px;
    max-width: 100%;
    color: white;
    display: block;
   margin-bottom: 20px;
}

.pre1 {
   background-color: #7ec4cf; 
}

.pre2 {
   background-color: #9085BC; 
}

.image-block1 {
    display: flex;
    flex-direction: column;
    align-items: center;
  max-width: 50%;
    margin-bottom: 30px;
}

.image-block2 {
    display: flex;
    flex-direction: column; 
    align-items: center; 
  max-width: 70%;
    margin-bottom: 30px;
}

img {      
    height: auto;        
    width: 100%;
}

.image1 {
  max-width: 100%;
}

.image2, .image3, .image5 {
   max-width: 800px;
}

.image4, .image6, .image7 {
   max-width: 100%;
}

@media (max-width: 768px) {
    .image1, .image2, .image3, .image4, .image5, .image6, .image7 {
        max-width: 100%;
        margin: 10px 0;
    }

    figure {
        text-align: left;
    }
}

figcaption {
    margin-top: 5px;
    font-size: 18px;
    color: #555;
    text-align: center;
  word-wrap: break-word;
}

.caption-white {
    margin-top: 5px;
    font-size: 18px;
    color: white;
    text-align: center;
  word-wrap: break-word;
}

.reference {
    border: 1px solid #9085BC;
}
